%define name trackballs
%define version 1.1.4
%define release %mkrel 1
%define title Trackballs
%define longtitle A Marble Madness-like game

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A Marble Madness-like game
Summary(fr): Un jeu inspiré de Marble Madness
Group: Games/Arcade
License: GPL
URL: http://trackballs.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/trackballs/%{name}-%{version}.tar.gz
Source1: %{name}-16.png
Source2: %{name}-32.png
Source3: %{name}-48.png
BuildRequires: guile-devel >= 1.6
BuildRequires: SDL_ttf-devel
BuildRequires: SDL_mixer-devel
BuildRequires: SDL_image-devel
BuildRequires: mesaglu-devel
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
Trackballs is a simple game similar to the
classical game Marble Madness, on the Amiga,
in the 80's. By steering a marble ball through
a labyrinth filled with vicious hammers, pools
of acid and other obstacles the player collects
points.

When the ball reaches the destination you continue
on the next, more difficult, level - unless, of
course, the time runs out.

You steer the ball using the mouse and by pressing
>spacebar< you can jump a short distance.

When all levels are finished, an editor mode permits
to create new ones ("trackballs -e").
All is explained in the docs.

%prep
%setup -q

%build
export LDFLAGS=-L%{_prefix}/X11R6/%_lib
%configure2_5x --bindir=%{_gamesbindir} \
  --datadir=%{_gamesdatadir} \
  --with-highscores=%{_localstatedir}/%{name}/highScores
%make

%install
rm -rf %{buildroot}
%makeinstall_std MKINSTALLDIRS=`pwd`/mkinstalldirs

# icons
install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png 


install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%find_lang  %name

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQ INSTALL README TODO
%attr(2755,root,games) %{_gamesbindir}/%{name}
%dir %{_localstatedir}/%{name}/
%attr(0664,root,games) %{_localstatedir}/%{name}/highScores
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.6.bz2
%{_datadir}/applications/pclinuxos-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/games/applications/trackballs.desktop
%{_datadir}/games/locale/*/LC_MESSAGES/trackballs.mo

%clean
rm -rf %{buildroot}




%changelog
* Fri May 25 2007 Texstar <texstar@gmail.com> 1.1.4-1pclos2007
- import into pclos 2007
